<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
</head>
<body>

<script>

//Function Expression..........  

// var disp = function show(){
//     document.write("Function Expression")
// }
// disp()

// var disp = function show(a,b){
//     document.write(a,b)
// }
// disp(10,20)

// var disp = function show(a,b){
//     return(a+b)
// }
// document.write(disp(10,20))
    

//Anonymous Function....... 

// var show = function(){
//     document.write("Anonymous Function")
// }
// show()

// var show = function(a,b){
//     document.write(a,b)
// };
// show(10,20)

//Passing Anonymous Function........

// function disp(myFun)
// {
//     return myFun()
// }
// document.write(disp(function(){
//     return "Passing Anonymous Function"
// }))

//Returning Anonymous Function..........

// function disp(a)
// {
//     return function(b)
//     {
//         return(a+b)
//     };
// }

// var af = (disp(10));
// document.write(af(20));

//Arrow Function............

// var show = () => {
//     document.write("Anonymous Function")
// }
// show()

// var show = (a,b) => {
//     document.write(a+b)
// }
// show(10,20)

// var show = (a, b) => a + b;
// document.write(show(10,20))

// var show = (a,b) => {
//   return a+b
// }
// document.write(show(10,20))

//Immediately Invoked Function...........

// (function() {
//   document.write("Hello")
//   })();

// (function(a,b){
//   document.write(a+b)
// })(10,20)

//typeof Operator.........

// var a = 10;
// var b = ["hello"]
// var c = {name:"kamal"}
// document.write(typeof(a));
// document.write(typeof("Hello"))
// document.write(typeof(b));
// document.write(typeof(c));

//Undefined .......

// var a;
// document.write(typeof(a));
// document.write(typeof(b))

//var let and const Keywords.........

// var a = 10;
// let b = 20;
// const c = 30;
// document.write(a + "<br>")
// document.write(b + "<br>")
// document.write(c + "<br>")

// function myVar(){
//   var a = 10;
//   if(true){
//     var a = 20;
//     document.write(a); //20
//   }
// document.write(a); //20
// }
// myVar()


// function myLet(){
//   let a = 10;
//   if(true){
//     let a = 20;
//     document.write(a);//20
//   }
// document.write(a);//10
// }
// myLet()

// for(var i = 0; i<5; i++){
//   document.write(i)//1234
// }
// document.write(i)//12345

// for(let i = 0; i<5; i++){
//   document.write(i)//1234
// }
// document.write(i)//not defines

//Object Literal........
// var fees = { }
// fees["Rahul"] = 100;
// fees["Sumit"] = 200;
// fees["Karan"] = 300;
// document.write(fees["Sumit"])

// var fees = { Rohit:"200", Karan:"100"}
// document.write(fees.Karan)

// var b = 300;
// var fees = {}
// fees["rahul"] = 100;
// fees["total"] = function(){return(fees.rahul + b);}
// document.write(fees.total())

// fees = {
//   Rohan:200, 
//   Karan:100, 
//   Sahul:300,
//   "Super Man": 500
//   }
// document.write(fees.Rohan + fees.Karan + fees.Sahul + fees["Super Man"] )

//Object Constructor..........

// fees = new Object()
// fees.Rohan = 200, 
// fees.Karan = 100, 
// fees.Sahul = 300,
// fees["Super Man"] = 500
// document.write(fees.Rohan + fees.Karan + fees.Sahul + fees["Super Man"] )

// fees = new Object()
// fees.Rohan = 200, 
// fees.Karan = 100, 
// fees.Sahul = 300,
// fees["Super Man"] = 400,
// fees.total = function(){
//   return fees.Rohan + fees.Karan + fees.Sahul + fees["Super Man"]
// }
// document.write(fees.total())

// fees = new Object()
// fees['Rohan'] = 200, 
// fees['Karan']= 100, 
// fees['Sahul'] = 300,
// fees["Super Man"] = 600,
// fees.total = function(){
//   return fees.Rohan + fees.Karan + fees.Sahul + fees["Super Man"]
// }
// document.write(fees.total())

// var hindi = 45;
// var englins = 50;
// var math = 55;
// var socials = 60;
// var science = 68;
// var total = hindi + englins + math + socials + science;
// var avarage = total /  5;

// function grade(){
//   if(avarage <= 30){
//     document.write("fail")
//   }
//   else if(avarage <= 40){
//     document.write("Pass")
//   }
//   else if(avarage <= 50){
//     document.write("Good")
//   }
//   else if(avarage <= 60){
//     document.write("Good")
//   }
// }
// grade()


// var hindi = 45;
// var englins = 50;
// var math = 55;
// var socials = 60;
// var science = 68;
// var total = hindi + englins + math + socials + science;
// var avarage = total /  5;

// function grade(){

//   if(avarage > 75){
//     return 'A+';
//   }
//   if(avarage > 70){
//     return 'A';
//   }
//   if(avarage > 55){
//     return 'B';
//   }
//   if(avarage > 30){
//     return 'C';
//   }
//   return 'Fail'
// };
// document.write(grade())


var a = {a:"kamal"}

document.write(a.a)




</script>

</body>
</html>